Skip to main content
GET
/
{tenant_slug}
/
organizations
/
{org}
Get organization
curl --request GET \
  --url https://app.cysmiq.com/api/v1/{tenant_slug}/organizations/{org} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.cysmiq.com/api/v1/{tenant_slug}/organizations/{org}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/organizations/{org}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": "<string>",
  "name": "<string>",
  "full_path": "<string>",
  "type": "<string>",
  "description": "<string>",
  "external_id": "<string>",
  "orphaned": true,
  "parent": {
    "id": "<string>",
    "name": "<string>",
    "full_path": "<string>"
  },
  "repositories_count": 123,
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Use a Cysmiq API token in the Authorization header: Bearer {token}.

Path Parameters

org
string
required

Organization prefixed id (org_...) or full path.

Response

Organization detail response.

id
string
required
name
string
required
full_path
string
required
type
string
required
description
string
required
external_id
string
required
orphaned
boolean
required
parent
object | null
required
repositories_count
integer
required
created_at
string
required
updated_at
string
required